<html ng-app="moreDirectivesApp">

<head>
    <script src="angular.js"></script>
    <script src="moreDirectives.js"></script>
    <title>More Directives App</title>
</head>

<body>
    <h1>more directives app</h1>
    <div ng-controller="moreDirectivesCtrl as ctrl">
        <!-- <input type="checkbox" ng-model="ctrl.checked"></input>
            <p ng-show="ctrl.checked">some content</p> -->
        <div ng-repeat="obj in ctrl.myList">
            <p>
                Element {{$index}}
            </p>
            <p>
                first {{$first}}
            </p>
            <p>Name:{{obj.name}}</p>
            <p>Age:{{obj.age}}</p>
            <hr/>
        </div>
    </div>
</body>

</html>